import { ExportResult } from '@opentelemetry/core';
import { SpanExporter, ReadableSpan } from '@opentelemetry/tracing';
import * as zipkinTypes from './types';
/**
 * Zipkin Exporter
 */
export declare class ZipkinExporter implements SpanExporter {
    static readonly DEFAULT_URL = "http://localhost:9411/api/v2/spans";
    private readonly DEFAULT_SERVICE_NAME;
    private readonly _statusCodeTagName;
    private readonly _statusDescriptionTagName;
    private _send;
    private _serviceName?;
    private _isShutdown;
    private _sendingPromises;
    constructor(config?: zipkinTypes.ExporterConfig);
    /**
     * Export spans.
     */
    export(spans: ReadableSpan[], resultCallback: (result: ExportResult) => void): void;
    /**
     * Shutdown exporter. Noop operation in this exporter.
     */
    shutdown(): Promise<void>;
    /**
     * Transform spans and sends to Zipkin service.
     */
    private _sendSpans;
}
//# sourceMappingURL=zipkin.d.ts.map